## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check
%global libchewing_python_dir %{python3_sitelib}

%global im_name_zh_TW 新酷音輸入法
%global name_zh_TW %{im_name_zh_TW}函式庫

Name:           libchewing
Version:        0.9.1
Release:        %autorelease
Summary:        Intelligent phonetic input method library for Traditional Chinese
Summary(zh_TW): %{name_zh_TW}

# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# LGPL-2.1-or-later
# MIT
# MIT OR Apache-2.0
# MPL-2.0
License:        LGPL-2.1-or-later AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND MPL-2.0
# LICENSE.dependencies contains a full license breakdown

URL:            https://chewing.im
Source0:        https://github.com/chewing/%{name}/releases/download/v%{version_no_tilde}/libchewing-%{version_no_tilde}.tar.zst
Source1:        https://github.com/chewing/%{name}/releases/download/v%{version_no_tilde}/libchewing-%{version_no_tilde}.tar.zst.asc
Source2:        https://chewing.im/.well-known/openpgpkey/hu/y84sdmnksfqswe7fxf5mzjg53tbdz8f5?l=release#/libchewing.pgp

Patch:          0001-Delete-unused-optional-dependencies.patch

BuildRequires:  gcc cmake make pkgconf texinfo
BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  cmake(Corrosion)
BuildRequires:  gnupg2
BuildRequires:  python3-devel
# since f31
Obsoletes:      python2-libchewing < 0.5.1-13

%description
libchewing is an intelligent phonetic input method library for Chinese.

It provides the core algorithm and logic that can be used by various
input methods. The Chewing input method is a smart bopomofo phonetics
input method that is useful for inputting Mandarin Chinese.

%description -l zh_TW
%{name_zh_TW}提供實做了核心選字演算法，以便輸入法程式調用。

%{im_name_zh_TW}是一種智慧型注音/拼音猜字輸入法，透過智慧型的字庫分析、習慣記錄學習與預測分析，
使拼字輸入的人為選字機率降至最低，進而提升中文輸入、打字的效率。

%package -n %{name}-devel
Summary:        Development files for libchewing
Summary(zh_TW): %{name_zh_TW}開發者套件
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{name}-devel
Headers and other files needed to develop applications using the %{name}
library.

%description -l zh_TW  -n %{name}-devel
%{name_zh_TW}開發者套件提供了開發%{im_name_zh_TW}相關程式所需的檔案，
像是標頭檔(header files)，以及函式庫。


%package -n python3-%{name}
Summary:        Python binding for libchewing
BuildArch:      noarch
Summary(zh_TW): %{name_zh_TW} python 綁定
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
Python binding of libchewing.

%description -l zh_TW -n python3-%{name}
%{name_zh_TW} python 綁定

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1 -n libchewing-%{version_no_tilde}
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cmake --preset default
%cmake_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cmake_install

mkdir -p %{buildroot}%{libchewing_python_dir}
cp -p contrib/python/chewing.py %{buildroot}%{libchewing_python_dir}

rm -f %{buildroot}/%{_infodir}/dir

%if %{with check}
%check
%ctest -j1
%endif

%files
%license COPYING
%license LICENSE.dependencies
%doc README.md AUTHORS NEWS
%{_datadir}/%{name}/
%{_bindir}/chewing-cli
%{_libdir}/libchewing.so.*
%{_infodir}/%{name}.info.*
%{_mandir}/man1/chewing-cli*

%files devel
%dir %{_includedir}/chewing
%{_includedir}/chewing/*
%{_libdir}/pkgconfig/chewing.pc
%{_libdir}/libchewing.so
%{_libdir}/cmake/Chewing/ChewingConfig.cmake
%{_libdir}/cmake/Chewing/ChewingConfigVersion.cmake
%{_libdir}/cmake/Chewing/ChewingTargets-release.cmake
%{_libdir}/cmake/Chewing/ChewingTargets.cmake


%files -n python3-%{name}
%{libchewing_python_dir}/chewing.py
%{libchewing_python_dir}/__pycache__/*

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.9.1-3
- Rebuilt for Python 3.14

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 26 2024 Kan-Ru Chen <kanru@kanru.info> - 0.9.1-1
- Update to 0.9.1

* Sat Aug 10 2024 Kan-Ru Chen <kanru@kanru.info> - 0.9.0-1
- Update to 0.9.0

* Sat Jul 27 2024 Kan-Ru Chen <kanru@kanru.info> - 0.9.0~rc.3-1
- Update to 0.9.0-rc.3

* Mon Jul 22 2024 Kan-Ru Chen <kanru@kanru.info> - 0.9.0~rc.2-1
- Update to 0.9.0-rc.2

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0~rc.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Kan-Ru Chen <kanru@kanru.info> - 0.9.0~rc.1-1
- Update to 0.9.0-rc.1

* Mon Jul 08 2024 Kan-Ru Chen <kanru@kanru.info> - 0.8.5-1
- Update to 0.8.5

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.8.4-2
- Rebuilt for Python 3.13

* Fri May 31 2024 Kan-Ru Chen <kanru@kanru.info> - 0.8.4-1
- Update to 0.8.4

* Sun May 26 2024 Kan-Ru Chen <kanru@kanru.info> - 0.8.3-1
- Update to 0.8.3 (rhbz#2271847)

* Tue May 21 2024 Kan-Ru Chen <kanru@kanru.info> - 0.8.2-1
- Update to 0.8.2

* Wed May 15 2024 Kan-Ru Chen <kanru@kanru.info> - 0.8.1-1
- Update to 0.8.1

* Sun Apr 07 2024 Kan-Ru Chen <kanru@kanru.info> - 0.7.0-1
- Update to 0.7.0

* Thu Feb 08 2024 Kan-Ru Chen <kanru@kanru.info> - 0.6.0-4
- Move python module installation before %%check so byte caches are
  generated

* Sun Jan 28 2024 Kan-Ru Chen <kanru@kanru.info> - 0.6.0-3
- Remove nonexist %%files

* Sun Jan 28 2024 Kan-Ru Chen <kanru@kanru.info> - 0.6.0-2
- List gcc and g++ in BuildRequires

* Sun Jan 28 2024 Kan-Ru Chen <kanru@kanru.info> - 0.6.0-1
- New upstream release

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.5.1-27
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.1-24
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.1-21
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-18
- Rebuilt for Python 3.9

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-16
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-15
- Rebuilt for Python 3.8

* Thu Aug  8 2019 Tim Landscheidt <tim@tim-landscheidt.de> - 0.5.1-14
- Remove obsolete requirements for %%post/%%preun scriptlets

* Thu Aug  8 2019 Robin Lee <cheeselee@fedoraproject.org> - 0.5.1-13
- Remove python2 binding and create python3 one (RHBZ#1738025)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Apr 24 2019 Björn Esser <besser82@fedoraproject.org> - 0.5.1-11
- Remove hardcoded gzip suffix from GNU info pages

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.1-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-6
- Python 2 binary subpackage is renamed to python2-libchewing
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 19 2016 Ding-Yi Chen <dchen@redhat.com> - 0.5.1-1
- Upstream update to 0.5.1

* Sat May 07 2016 Ding-Yi Chen <dchen@redhat.com> - 0.5.0-1
- Upstream update to 0.5.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 13 2014 Ding-Yi Chen <dchen at redhat dot com> - 0.4.0-3
- Upstream update to 0.4.0
  Details: https://github.com/chewing/libchewing/releases/tag/v0.4.0
- Fixed Bug 1087272 - libchewing-0.4.0 is available
- Update the URL for Sources.

-* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-3
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Ding-Yi Chen <dchen at redhat dot com> - 0.3.5-2
- CFLAGS: added -fstack-protector-strong

* Mon Oct 14 2013 Ding-Yi Chen <dchen at redhat dot com> - 0.3.5-1
- Upstream update to 0.3.5

* Mon Jul 29 2013 Parag Nemade <pnemade at redhat dot com> - 0.3.4-4
- spec file cleanup to follow packaging guidelines

* Wed Feb 27 2013 Ding-Yi Chen <dchen at redhat dot com> - 0.3.4-3
- Fixed [Bug 913214] libchewing complains "no info dir entry" while installing
  Add direntry in libchewing.texi so it can be listed under
  Category "Localization"

* Thu Feb 07 2013 Ding-Yi Chen <dchen at redhat dot com> - 0.3.4-2
- Fix RPM build.

* Fri Jan 11 2013 Ding-Yi Chen <dchen at redhat dot com> - 0.3.4-1
- Upstream update to 0.3.4
- Download is changed to Google Code.
- /usr/share/chewing is removed, data files now located in
  /usr/lib(64)/libchewing
- Info for libchewing is included.

* Thu Nov 22 2012 Ding-Yi Chen <dchen at redhat dot com> - 0.3.3-5
- RPM Macro: define is replaced by global.

* Tue Nov 20 2012 Ding-Yi Chen <dchen at redhat dot com> - 0.3.3-4
- BuildRequires for libchewing-python changed
  from python-devel to python2-devel
- RPM_BUILD_ROOT changed to buildroot

* Thu Jul 19 2012 Ding-Yi Chen <dchen at redhat dot com> - 0.3.3-3
- Fixed Bug 477690 - libchewing multilib conflict

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 07 2011 Ding-Yi Chen <dchen at redhat dot com> - 0.3.3-1
- Upstream update to 0.3.3
  + Fix memory access violation.
  + Improved Python binding.
  + Merged with libchewing-data project. (r455)
  + Improved random key stroke tester.
  + Fix the handling of phonetic symbols in Hsu's keyboard.
  + Fix unexpected candidate disorder when doing symbol choice.
  + Revised phrase choice from rearward logic.
  + Fix cross compilation.
  + Improved shell script to merge changes form libchewing-data.


* Thu Sep 02 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-28
- Resolves: #625980
  Add padding to wch_t to ensure it's word aligned.

* Thu Mar 04 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-27
- Fix Dvorak Hsu 4th tone key (ibus google issue 755 comment 12,
  chewing google issue 10)
- Resolves: #555192

* Mon Feb 15 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-24
- Fix Hsu and Dvorak Hsu input (ibus google issue 755,
  chewing google issue 10)
- Resolves: #555192

* Mon Feb 15 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-23
- Fix Hsu and Dvorak Hsu input (ibus google issue 755,
  chewing google issue 10)
- Resolves: #555192

* Wed Feb 10 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-22
- Fix Hsu and Dvorak Hsu input (ibus google issue 755)
- Resolves: #555192

* Tue Feb 02 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-21
- Revised phrase choice from rear logic.
  Thus update phraseChoiceRearward.patch as phraseChoiceRearward.2.patch
- Resolves: #555192

* Thu Jan 21 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-20
- Resolves: #555192
- Fix for package wrangler.

* Tue Jan 19 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-18
- Resolves: #555192
- Fix for package wrangler.

* Tue Jan 05 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-17
- Add zh_TW summary and description
- Split out python binding into a subpackage.
- Fix for package wrangler.

* Wed Sep 30 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-16
- Fix chewing Google issue 352:
  zuin_count in chewing_zuin_String( ChewingContext *ctx, int *zuin_count )
  does not count correctly.

* Mon Aug 03 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-15
- Fix [Bug 512108:issue 11] ibus-chewing crash the application
  by move cursor_orig to chewingio.c global.

* Thu Jul 30 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-14
- Fix [Bug 512108] ibus-chewing crash the application

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-12
- Rebuild to correct tags.

* Fri Jun 26 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-11
- Revise phraseChoiceRearward.patch so the cursor won't move to left
  when repeatly press down key.

* Wed May 20 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-10
- Need autoreconf and BuildRequires: pkgconfig to make changes in
  Makefile.am effective, thus actually fix [Bug 477960] libchewing multilib conflict.

* Mon May 18 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-9
- Possible Fix of Bug 501220 - RFE: edit last preedit character from end of line
  Chewing upstream does not handle if phrase choice rearward is enabled.

* Wed Apr 22 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-8
- Fix [Bug 496968] - libchewing-debuginfo does not contain sources.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-6
- Fix [Bug 486409] - Wrong python binding installed path
  Add BuildRequires:  python2-devel

* Wed Feb 18 2009 Adam Jackson <ajax@redhat.com> 0.3.2-5
- Rerun autotools so changes to Makefile.am actually take effect.

* Fri Jan 23 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-4
- touch python-<ver>/site-packages/libchewing/__init__.py,
  So python thinks libchewing is a library.

* Wed Jan 14 2009 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-3
- Add python binding by copy python/chewing.py to
  <python_dir>/site_packages/libchewing

* Tue Dec 23 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-2
- [Bug 477690] libchewing multilib conflict
  Move /usr/share/chewing/fonetree.dat to corresponding libdir.

* Wed Dec 03 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-0
- Upstream update to 0.3.2.

* Wed Oct 08 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.1-0
- Upstream update.

* Wed Sep 17 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.0.901-0
- Upstream update.

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.0-12
- fix license tag

* Tue Apr 22 2008 Caius Chance <cchance@redhat.com> - 0.3.0-11.fc10
- Resolves: rhbz195416 (Initial input mode between Chinese and English.)

* Wed Feb 13 2008 Caius Chance <cchance@redhat.com> - 0.3.0-10.fc9
- Rebuild for F9.

* Tue Jan 08 2008 Caius Chance <cchance@redhat.com> - 0.3.0-9.devel
- Resolves: rhbz#200694 (Moving "Han-Yin" <-> Zhu-Yin" option to AUX UI.)

* Fri Jun 01 2007 Caius Chance <cchance@redhat.com> - 0.3.0-8.devel
- Fixed bz#237916: [chewing] Candidate list (symbol) page change inaccracy.

* Fri Apr 20 2007 Caius Chance <cchance@redhat.com> - 0.3.0-7.fc7
- Fixed bz#237233: Up arrow on candidate list doesn't work.

* Fri Mar 09 2007 Caius Chance <cchance@redhat.com> - 0.3.0-6.devel
- Fixed bz231568: [chewing] Look up table is showing candidates of previous
  look-up.

* Tue Nov 21 2006 Caius Chance <cchance@redhat.com> - 0.3.0-5.fc7
- Fixed bz#216581: Ported the following bugfix:
- (bz#216337: Page Up / Page Down key doesn't when Chewing is activated.)
- (bz#209575: preedit buffer is not cleared when framework calls for
  instance reset.)

* Fri Sep 15 2006 Caius Chance <cchance@redhat.com> - 0.3.0-4.fc6
- Fixed bz#206232 - Shift_L + space doesn't work correctly

* Mon Sep 04 2006 Caius Chance <cchance@redhat.com> - 0.3.0-3.fc6
- Fixed bz#199353 - scim-chewing hangs for commit > 6 characters

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-2
- fix release

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-1.2.1.1
- rebuild

* Mon May 22 2006 Darshan Santani <dsantani@redhat.com>
- New source tarball added.
- Rebuild.

* Thu May 18 2006 Jens Petersen <petersen@redhat.com>
- configure with --disable-static
- exclude INSTALL from docs

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.7-1
- Initial build for Fedora Core
- cleanup spec file according to Fedora standard

* Fri Dec 31 2004 rabit <rabit@ipserv.org> 0.2.5-fc3
- update for 0.2.5. and fedora core 3

* Fri Oct 8 2004 rabit <rabit@ipserv.org> 0.2.4-fc2
- update for 0.2.4.

* Thu Oct 7 2004 rabit <rabit@ipserv.org> 0.2.3-fc2
- Initial build.

## END: Generated by rpmautospec
